Table of Contents

## Name

AuMakeElementExportClient - initialize an ExportClient element

## Synopsis

#include <audio/audiolib.h>

AuMakeElementExportClient(element, input, sample_rate, format, num_tracks, discard, max_samples, high_water_mark, num_actions, actions)
AuElement *element; /* RETURN */
unsigned short input;
unsigned short sample_rate;
unsigned char format;
unsigned char num_tracks;
unsigned char discard;
AuUint32 max_samples;
AuUint32 high_water_mark;
int num_actions;
AuElementAction *actions;

## Arguments

element
  Returns the initialized element.
input
  Specifies the index of the element to supply the audio data to this element.
sample_rate
  Specifies the sample rate of the audio data.
format
  Specifies the format of the audio data. Currently, the following formats are defined: AuFormatULAW8, AuFormatLinearUnsigned8, AuFormatLinearSigned8, AuFormatLinearSigned16MSB, AuFormatLinearUnsigned16MSB, AuFormatSignedLinear16LSB, and AuFormatLinearUnsigned16LSB.
num_tracks
  Specifies the number of tracks in the audio data.
discard
  Specifies if the flow should pause initially. Normally AuTrue.
max_samples
  Specifies the maximum number of samples to send to the client in a single write. Ignored for "trivial" flows.
high_water_mark
  Specifies when to tell the client application to read the audio data from the server. When this number of samples is reached in the buffer, an ElementNotify event with kind set to AuElementNotifyKindHighWater will be sent to the client application.
num_actions
  Specifies the number of actions in actions.
actions
  Specifies the list of actions to associate with this element. Entries in this list can be initialized with AuMakeChangeStateAction, AuMakeSendNotifyAction, and AuMakeNoopAction. May be NULL.

## Description

AuMakeElementExportClient sets the type member of element to AuElementTypeExportClient and initializes the exportclient member of element with the remaining arguments.

AuMakeElementExportClient is implemented as a macro.

## See Also

AuElementNotifyEvent, AuMakeElementAddConstant, AuMakeElementBundle, AuMakeElementExportBucket, AuMakeElementExportDevice, AuMakeElementExportMonitor, AuMakeElementImportBucket, AuMakeElementImportClient, AuMakeElementImportDevice, AuMakeElementImportWaveForm, AuMakeElementMultiplyConstant, AuMakeElementSum.

audiolib - Network Audio System C Language Interface

Table of Contents

- Name
- Synopsis
- Arguments
- Description
- See Also